Eclipse Draw2d 3.2

## org.eclipse.draw2d.geometry
Interface Translatable

All Known Implementing Classes:
  CaretInfo, Dimension, Point, PointList, Rectangle

public interface Translatable

A translatable object can be translated (or moved) vertically and/or horizontally.

Method Summary
`void` `performScale(double factor)` Scales this object by the scale factor.
`void` `performTranslate(int dx, int dy)` Translates this object horizontally by `dx` and vertically by `dy`.

Method Detail

### performTranslate

    public void performTranslate(int dx,
                                 int dy)

  Translates this object horizontally by `dx` and vertically by `dy`.

  Parameters:
    `dx` - The amount to translate horizontally
    `dy` - The amount to translate vertically
  Since:
    2.0

### performScale

    public void performScale(double factor)

  Scales this object by the scale factor.

  Parameters:
    `factor` - The scale factor
  Since:
    2.0

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.